Difference between revisions of "Template:Installation/Common"

From diaspora* project wiki
Jump to: navigation, search
m (Bundle)
m (Bundle: Bundler fix for now.)
Line 27: Line 27:
  
 
{{#tag:syntaxhighlight|
 
{{#tag:syntaxhighlight|
gem install bundler
+
gem install bundler -v 1.12.5
 
{{#ifeq:{{#var:gcc5}}|true|bundle config --local build.sigar '--with-cppflags="-fgnu89-inline"'
 
{{#ifeq:{{#var:gcc5}}|true|bundle config --local build.sigar '--with-cppflags="-fgnu89-inline"'
 
<nowiki/>|}}{{#ifeq:{{#var:dist}}{{#var:version}}{{#varDB}}|CentOS6postgres|bundle config --local build.pg '--with-pg-config=/usr/pgsql-<version>/bin/pg_config'
 
<nowiki/>|}}{{#ifeq:{{#var:dist}}{{#var:version}}{{#varDB}}|CentOS6postgres|bundle config --local build.pg '--with-pg-config=/usr/pgsql-<version>/bin/pg_config'

Revision as of 20:58, 11 September 2016

Get the source

It's time to download diaspora*! As your diaspora user run:

cd ~
git clone  https://github.com/diaspora/diaspora.git
cd diaspora

Don't miss the cd diaspora, all coming commands expect to be run from that directory!

Configuration

Copy files

cp config/database.yml.example config/database.yml
cp config/diaspora.yml.example config/diaspora.yml


Bundle

It's time to install the Ruby libraries required by diaspora*:

gem install bundler -v 1.12.5
bin/bundle install  --with

This takes quite a while. You should get a green success message when it's finished, if that's not the case you should seek for help on the mailing list or the IRC channel. You can speed it up a bit adding -jn to the command, where n is the number of CPU cores you have available.

Running the manual gem install command shown in the error message can sometimes show a clearer error message if the bundle command fails.

Database setup

Double check your config/database.yml looks right and run:

bin/rake db:create db:schema:load

Start diaspora*

It's time to start diaspora*:

./script/server


Further reading